#!/bin/bash -e
#
# recent-files:bin/install-config.sh
#

#
# Accoring to: http://www.pathname.com/fhs/pub/fhs-2.3.html
#
# Put everything into: /usr/local/share/mount-manager
# Ensure *.sh are executables and readonly
# Add links into: /usr/bin
#
declare -grx INSTALL_DATA_DIR='/usr/local/share/recent-files'
declare -grx INSTALL_BIN_DIR='/usr/bin'

declare -grx REMOVE_EXE="${INSTALL_DATA_DIR}/recent-files-remove.sh"

declare -grx INSTALL_LINKS='
recent-files
'

declare -grx INSTALL_EXE='
bin/recent-files.sh
recent-files-install.sh
recent-files-remove.sh
'

# INSTALL_DESKTOP_DIR="$( install_api_xdg_user_dir_for_user )/.local/share/applications/" || exit $?
# declare -grx INSTALL_DESKTOP_DIR

declare -grax INSTALL_APP_DESKTOP_ICONS=(
"${INSTALL_DATA_DIR}/data/recent-files.desktop"
)

declare -grax INSTALL_PACKAGES=(
'zenity'
)

declare -grax INSTALL_API_INSTALL_MAIN_EXCLUDE=(
'.git'
'.gitignore'
'.gitlab-ci.yml'
'.gitmodules'
'.target'
'.tmp'
'package'
'tests'
)
